Bug 89198 - Web Inspector: too many hardcoded strings in InspectorBackendDispatcher.
Summary: Web Inspector: too many hardcoded strings in InspectorBackendDispatcher.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-15 05:25 PDT by Ilya Tikhonovsky
Modified: 2012-07-15 21:49 PDT (History)
12 users (show)

See Also:


Attachments
Patch (5.46 KB, patch)
2012-07-05 16:19 PDT, Peter Rybin
prybin: commit-queue?
Details | Formatted Diff | Diff
Patch (5.19 KB, patch)
2012-07-13 03:37 PDT, Peter Rybin
yurys: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ilya Tikhonovsky 2012-06-15 05:25:09 PDT
EOM
Comment 1 Peter Rybin 2012-07-05 16:19:19 PDT
Created attachment 150997 [details]
Patch
Comment 2 Yury Semikhatsky 2012-07-05 23:17:27 PDT
Comment on attachment 150997 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=150997&action=review

> Source/WebCore/inspector/CodeGeneratorInspector.py:1981
> +        size_t length = ARRAY_SIZE(commandNames);

It should be WTF_ARRAY_LENGTH(commandNames), not sure why compiler didn't complain about it. Is ARRAY_SIZE defined somewhere in WebKit, I only see 2 places (http://code.google.com/p/chromium/source/search?q=define%5CsARRAY_SIZE+file%3AWebKit&origq=define%5CsARRAY_SIZE+file%3AWebKit&btnG=Search+Trunk), none of which should be visible here?
Comment 3 Peter Rybin 2012-07-13 03:37:25 PDT
Created attachment 152207 [details]
Patch
Comment 4 Peter Rybin 2012-07-13 03:44:06 PDT
Comment on attachment 150997 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=150997&action=review

>> Source/WebCore/inspector/CodeGeneratorInspector.py:1981
>> +        size_t length = ARRAY_SIZE(commandNames);
> 
> It should be WTF_ARRAY_LENGTH(commandNames), not sure why compiler didn't complain about it. Is ARRAY_SIZE defined somewhere in WebKit, I only see 2 places (http://code.google.com/p/chromium/source/search?q=define%5CsARRAY_SIZE+file%3AWebKit&origq=define%5CsARRAY_SIZE+file%3AWebKit&btnG=Search+Trunk), none of which should be visible here?

Actually I made my own -- didn't know the right name for search. Replaced.
Comment 5 Ilya Tikhonovsky 2012-07-13 07:30:30 PDT
Committed r122574: <http://trac.webkit.org/changeset/122574>